package com.miaxis.newgzpt.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.newgzpt.domain.GzptSchActivation;
import com.miaxis.newgzpt.dto.GzptSchActivationDTO;
import com.miaxis.newgzpt.dto.GzptSchActivationListDTO;
import com.miaxis.newgzpt.vo.GzptSchActivationListVO;

import java.util.List;

/**
 * <p>
 * 视频VIP表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
public interface IGzptSchActivationService extends IService<GzptSchActivation> {


    void saveSchActivation(GzptSchActivation gzptSchActivation);

    int isSchActivation(Long userId);

    void delSchActivationByUserId(Long userId);

    void upDelSchActivationByUserId(Long userId,Integer state);

    List<GzptSchActivationListVO> selectSchActivationList(GzptSchActivationListDTO schActivationDTO);
}
